//
// LPP pass 1, build G-buffer
//

varying	vec3 pos;
varying	vec3 n;
varying	vec3 t;
varying	vec3 b;

uniform sampler2D	bumpMap;

void main (void)
{
	vec3	nn = 2.0*texture2D ( bumpMap, gl_TexCoord [0].xy ).xyz - vec3 ( 1.0 );
	
	gl_FragData [0] = vec4 ( normalize ( nn.x * t + nn.y * b + nn.z * n ), pos.z );
}
